Description
Usage in Perl is missing on Rest_api.

Attached includes some examples in Perl.

| hope this helps the Redmine community.

History

#1 - 2016-02-20 14:07 - Hiroo Hayashi
- File Rest_api_with_perl.txt added

| failed to attach the file. | put it again.

#2 - 2016-02-21 02:37 - Hiroo Hayashi
| found | could create a new page by myself. | made Rest_api_with_perl.

Please add a link on Rest_api, if you see any problem.

PS

The follows are tickets whose titles include "REST" in ChangeLog. It may help you to update the "API Change history" section.
Feature and Patch

Patch #18707: Allow attachment thumbnails from REST api (3.0.0)
Feature #11159: REST API for getting CustomField definitions (2.4.0)
Patch #13948: REST API should return user.status (2.4.0)

Feature #6727: Add/remove issue watchers via REST API (2.3.0)
Feature #8529: Get the API key of the user through REST API (2.3.0)
Feature #9835: REST API - List priorities (2.2.0)

Feature #11502: Expose roles details via REST API (2.2.0)

Feature #11755: Impersonate user through REST API auth (2.2.0)
Feature #12125: Set filename used to store attachment updloaded via the REST API (2.2.0)
Feature #8981: REST Api for Groups (2.1.0)

Feature #7420: Rest API for projects members (1.4.0)

Feature #8171: Adding attachments through the REST API (1.4.0)
Feature #9803: Change project through REST API issue update (1.4.0)

Defect

Defect #15427: REST API POST and PUT broken (2.4.1)

Defect #15235: Wiki Pages REST API with version returns wrong comments (2.3.4)
Defect #13850: Unable to set custom fields for versions using the REST API (2.3.2)
Defect #11388: Updating a version through rest API returns invalid JSON (2.1.0)
Defect #11541: Version sharing is missing in the REST API (2.0.4)

Defect #11112: REST API - custom fields in POST/PUT ignored for time_entries (2.0.3)
Defect #11541: Version sharing is missing in the REST API (1.4.5)

Defect #11112: REST API - custom fields in POST/PUT ignored for time_entries (1.4.4)
Defect #10832: REST Uploads fail with fastcgi (1.4.2)

#3 - 2016-02-22 01:09 - Go MAEDA

Hiroo Hayashi wrote:

2025-05-02 1/2


https://www.redmine.org/projects/redmine/wiki/Rest_api#API-Usage-in-various-languagestools
https://www.redmine.org/issues/11541
https://www.redmine.org/issues/11112
https://www.redmine.org/versions/53
https://www.redmine.org/issues/10832
https://www.redmine.org/versions/48

| found | could create a new page by myself. | made Rest_api_with_perl.

Please add a link on Rest_api, if you see any problem.

| updated API page. Thanks for your contribution.

http://www.redmine.org/projects/redmine/wiki/Rest_api/diff?utf8=%E2%9C%93&version=94&version_from=93&commit=View+differences

#4 - 2016-03-02 14:55 - Hiroo Hayashi

- Status changed from New to Resolved

| updated API page. Thanks for your contribution.

Thank you, and you are welcome.

#5 - 2016-03-12 09:08 - Hiroo Hayashi
Hi,

| added one line.

http://www.redmine.org/projects/redmine/wiki/Rest_api_with_perl/diff?utf8=%E2%9C%93&version=2&version_from=1&commit=%E5%B7%AE%E5%
88%86%E3%82%92%E8%A6%8B%E3%82%8B

| also attached sample scripts.

#6 - 2016-03-21 05:19 - Toshi MARUYAMA

- Status changed from Resolved to Closed

Thank you.

Files

Rest_api_with_perl.txt 5.46 KB 2016-02-20 Hiroo Hayashi
